1. Live Endpoints
PearlPOS
  • Inbound
    • postMasterdata
      POST
    • postPOSdata
      POST
  • Outbound
    • POSLog XSD
    • POSlog
      POST
  • Live Endpoints
    • getCustomers
      GET
    • getCustomerOrders
      GET
    • verifyDigitalArticle
      GET
    • verifyCustomerReference
      GET
    • purchaseDigitalArticle
      POST
    • getRelatedProducts
      GET
    • getSerialNumberVerification
      GET
    • getAvailableValueCodes
      POST
    • getValueCodes
      GET
    • getStockLevels
      GET
    • lookupPrices
      POST
    • lookupMargins
      POST
  • Schemas
    • TransactionType
    • RetailTransactionType
    • LineItemType
    • TransactionLinkType
    • SaleReturnType
    • RetailPriceModifierType
    • ActionAmountType
    • TaxType
    • CustomerInformationType
    • CustomerOrderType
    • TenderLineItemType
    • TenderType
    • AuthorizationType
    • RoundingType
    • VoidsLineItemType
    • PriceModificationType
    • TenderControlTransactionType
    • TillSettleType
    • TenderSummaryType
    • SummaryAmountType
    • ForeignSummaryAmountType
    • TenderLoanType
    • TenderPickupType
    • TotalsType
    • POSLog
  1. Live Endpoints

getStockLevels

Developing
GET
/getStockLevels
API that provides an overview of stock levels per store for a given article.
This endpoint shall be implemented on the customer side, which PearlPOS can request to.

Request

Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/getStockLevels?store=undefined&article=undefined'
Response Response Example
[
    {
        "article": "string",
        "articleText": "string",
        "store": "string",
        "storeText": "string",
        "storageLocation": "string",
        "storageLocationText": "string",
        "quantity": 0,
        "unitOfMeasureCode": "string"
    }
]
Modified at 2026-09-30 13:24:51
Previous
getValueCodes
Next
lookupPrices
Built with